Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.framework
Class InitializationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.InstantiationException
                        |
                        +--org.apache.cocoon.framework.InitializationException

All Implemented Interfaces:
  java.io.Serializable

public class InitializationException
extends java.lang.InstantiationException

This exception is thrown when a Configurable object is initialized with illegal parameters and cannot complete its initialization.

When such exception is thrown, the object is not guaranteed to be usable and the factory should behave accordingly.

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:22 $
Author:
  Stefano Mazzocchi
See Also:
  Serialized Form

Constructor Summary
`InitializationException()`
`InitializationException(java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InitializationException

    public InitializationException()

### InitializationException

    public InitializationException(java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.